Package com.logicaldoc.core.transfer

# Class ZipImport

java.lang.Object
com.logicaldoc.core.transfer.ZipImport

Direct Known Subclasses:
  `InMemoryZipImport`

public class ZipImport extends Object
This is an import utilities that imports documents stored in a zip archive. All folders in the zip will be replicated.

Author:
  Sebastian Stein, Matteo Caruso - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`ZipImport(Document docVo, String fileNameCharset)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isNotifyUser()`
`void`
`process(File zipsource, Folder parent, long userId, String sessionId)`
`void`
`process(String zipsource, Folder parent, long userId, String sessionId)`
`void`
`setNotifyUser(boolean notifyUser)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZipImport

public ZipImport(Document docVo, String fileNameCharset)
Constructor.

Parameters:
  `docVo` - Value object for the common documents
  `fileNameCharset` - the charset to use to process the zip

## Method Details

### process

public void process(File zipsource, Folder parent, long userId, String sessionId) throws PersistenceException

Throws:
  `PersistenceException`

### process

public void process(String zipsource, Folder parent, long userId, String sessionId) throws PersistenceException

Throws:
  `PersistenceException`

### isNotifyUser

public boolean isNotifyUser()

### setNotifyUser

public void setNotifyUser(boolean notifyUser)